Multivariate Pattern Analysis in Python

# mvpa2.misc.data_generators.pure_multivariate_signal

`mvpa2.misc.data_generators.``pure_multivariate_signal`(patterns, signal2noise=1.5, chunks=None, targets=None)

  Create a 2d dataset with a clear purely multivariate signal.

  This is known is the XOR problem.

      %%%%%%%%%
      % O % X %
      %%%%%%%%%
      % X % O %
      %%%%%%%%%

  Parameters:

  patterns: int

  > Number of data points in each of the four dot clouds

  signal2noise: float, optional

  > Univariate signal pedestal.

  chunks: array, optional

  > Vector for chunk labels for all generated samples.

  targets: list, optional

  > Length-2 sequence of target values for both classes. If None, [0, 1] is used.